Assistants
Change a calendar's settings
https://www.getrevox.com/api/assistants/{id}/calendars/{calendarId}The settings of its provider: opening hours, meeting length and Meet link for Google Calendar, the event type for Calendly and Cal.com.
Path parameters
idstringrequiredcalendarIdstringrequired
Request body
settingsone ofrequiredMust match the calendar's provider.
Show 3 variantsHide 3 variants
One ofOption 1object
calendar_idstringrequiredThe Google calendar to book on. (eg: primary)
time_zonestringrequiredThe timezone of the opening hours. (eg: Europe/Paris)
duration_minutesintegerrequiredmin 5 · max 480Default
30daysarray of integerrequiredThe open days, 0 is Sunday.
Default
[1,2,3,4,5]start_timestringrequiredpattern ^\d{2}:\d{2}$Default
"09:00"end_timestringrequiredpattern ^\d{2}:\d{2}$Default
"18:00"google_meetbooleanrequiredAdds a Google Meet link to the meeting.
Default
true
One ofOption 2object
event_type_idstringrequiredThe Calendly event type to schedule. (eg: https://api.calendly.com/event_types/b2330295-2a91-4a1d-bb73-99e7707663d5)
min length 1
One ofOption 3object
event_type_idstringrequiredThe Cal.com event type to schedule. (eg: 7081322)
min length 1
Responses
400Invalid request: the body or a parameter failed validation
messagestringerrorstringbodyErrorsobjectThe validation errors returned from the API.
Show 1 fieldHide 1 field
issuesarray of objectrequiredShow 3 fieldsHide 3 fields
patharray of one ofrequiredShow 2 variantsHide 2 variants
One ofstringstring
One ofnumbernumber
messagestringrequiredcodestring
404Not found in your organization
messagestringerrorstringbodyErrorsobjectThe validation errors returned from the API.
Show 1 fieldHide 1 field
issuesarray of objectrequiredShow 3 fieldsHide 3 fields
patharray of one ofrequiredShow 2 variantsHide 2 variants
One ofstringstring
One ofnumbernumber
messagestringrequiredcodestring